Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class ImplementationHidingTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractComponentFactoryTest
          org.picocontainer.behaviors.ImplementationHidingTestCase

    public class ImplementationHidingTestCase

extends AbstractComponentFactoryTest

Nested Class Summary
`static class` | `ImplementationHidingTestCase.NeedsNeedsStringBuilder`
`static interface` | `ImplementationHidingTestCase.NeedsStringBuilder`
`static class` | `ImplementationHidingTestCase.NeedsStringBuilderImpl`

Field Summary

Fields inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`picoContainer`

Constructor Summary
`ImplementationHidingTestCase()`

Method Summary
`protected org.picocontainer.ComponentFactory` | `createComponentFactory()`
`void` | `shouldInstantiateForEveryMethodCall()`
`void` | `shouldInstantiateForEveryMethodCallIfCachingWrapsImplementationHidingWhichIsFutile()`
`void` | `shouldNotInstantiateForEveryMethodCallIfCaching()`
`void` | `testAddAdapterNoesNotUseImplementationHidingBehaviorWhenNoCachePropertyIsSpecified()`
`void` | `testAddAdapterUsesImplementationHidingBehavior()`
`void` | `testAddAdapterUsesImplementationHidingBehaviorWithRedundantHideImplProperty()`
`void` | `testAddComponentNoesNotUseImplementationHidingBehaviorWhenNoCachePropertyIsSpecified()`
`void` | `testAddComponentUsesImplementationHidingBehavior()`
`void` | `testAddComponentUsesImplementationHidingBehaviorWithRedundantHideImplProperty()`
`void` | `testLazyInstantiationSideEffectWhenForceOfDelayedInstantiationOfDependantClass()`

Methods inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`setUp, testEquals, testRegisterComponent, testUnregisterComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplementationHidingTestCase

    public ImplementationHidingTestCase()

Method Detail

### testAddComponentUsesImplementationHidingBehavior

    public void testAddComponentUsesImplementationHidingBehavior()

### testAddComponentUsesImplementationHidingBehaviorWithRedundantHideImplProperty

    public void testAddComponentUsesImplementationHidingBehaviorWithRedundantHideImplProperty()

### testAddComponentNoesNotUseImplementationHidingBehaviorWhenNoCachePropertyIsSpecified

    public void testAddComponentNoesNotUseImplementationHidingBehaviorWhenNoCachePropertyIsSpecified()

### testAddAdapterUsesImplementationHidingBehavior

    public void testAddAdapterUsesImplementationHidingBehavior()

### testAddAdapterUsesImplementationHidingBehaviorWithRedundantHideImplProperty

    public void testAddAdapterUsesImplementationHidingBehaviorWithRedundantHideImplProperty()

### testAddAdapterNoesNotUseImplementationHidingBehaviorWhenNoCachePropertyIsSpecified

    public void testAddAdapterNoesNotUseImplementationHidingBehaviorWhenNoCachePropertyIsSpecified()

### createComponentFactory

    protected org.picocontainer.ComponentFactory createComponentFactory()

  Specified by:
    `createComponentFactory` in class `AbstractComponentFactoryTest`

### testLazyInstantiationSideEffectWhenForceOfDelayedInstantiationOfDependantClass

    public void testLazyInstantiationSideEffectWhenForceOfDelayedInstantiationOfDependantClass()

### shouldInstantiateForEveryMethodCall

    public void shouldInstantiateForEveryMethodCall()

### shouldNotInstantiateForEveryMethodCallIfCaching

    public void shouldNotInstantiateForEveryMethodCallIfCaching()

### shouldInstantiateForEveryMethodCallIfCachingWrapsImplementationHidingWhichIsFutile

    public void shouldInstantiateForEveryMethodCallIfCachingWrapsImplementationHidingWhichIsFutile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.